# Uses of Class
bsh.BshMethod

Packages that use BshMethod
Package
Description
bsh

## Uses of BshMethod in bsh

Subclasses of BshMethod in bsh
Modifier and Type
Class
Description
`class`
`DelayedEvalBshMethod`
Methods in bsh that return BshMethod
Modifier and Type
Method
Description
`protected BshMethod`
NameSpace.`getImportedMethod(String name, Class[] sig)`
`BshMethod`
ExternalNameSpace.`getMethod(String name, Class[] sig, boolean declaredOnly)`
`BshMethod`
NameSpace.`getMethod(String name, Class[] sig)`
`BshMethod`
NameSpace.`getMethod(String name, Class[] sig, boolean declaredOnly)`
Get the bsh method matching the specified signature declared in this name space or a parent.
`BshMethod[]`
NameSpace.`getMethods()`
Get the methods defined in this namespace.
Methods in bsh with parameters of type BshMethod
Modifier and Type
Method
Description
`void`
ExternalNameSpace.`setMethod(String name, BshMethod method)`
`void`
NameSpace.`setMethod(String name, BshMethod method)`
Note: this is primarily for internal use.